mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
splt_plugin_func Struct Reference

`#include <mp3splt.h>`

Collaboration diagram for splt_plugin_func:
[legend]

## Data Fields

int(* | check_plugin_is_for_file )(void *state, int *error)
void(* | clear_original_tags )(splt_original_tags *original_tags)
void(* | dewrap )(void *state, int listonly, const char *dir, int *error)
void(* | end )(void *state, int *error)
void(* | init )(void *state, int *error)
int(* | scan_silence )(void *state, int *error)
int(* | scan_trim_silence )(void *state, int *error)
void(* | search_syncerrors )(void *state, int *error)
void(* | set_original_tags )(void *state, int *error)
void(* | set_plugin_info )(splt_plugin_info *info, int *error)
void(* | set_total_time )(void *state, int *error)
int(* | simple_split )(void *state, const char *output_fname, off_t begin, off_t end)
double(* | split )(void *state, const char *final_fname, double begin_point, double end_point, int *error, int save_end_point)

## Detailed Description

contains pointers to the plugin functions

Definition at line 745 of file mp3splt.h.

The documentation for this struct was generated from the following file:

- mp3splt.h